/* Module tester 
 * Should be applied to small.pbm
 */

#include "gocr_module.h"

void test_imageFilter (gocrImage * img, void *v) {
	/* does nothing */
}

void test_blockFinder (gocrImage * image, void *v) {
	gocrBlock		*block;
	
	block = (gocrBlock *)malloc(sizeof(gocrBlock));
	if (!block)
		return;

	block->x0 = block->y0 = 0;
	block->x1 = image->width - 1;
	block->y1 = image->height - 1;
	block->t = gocr_blockTypeGetByName("TEXT");
	gocr_blockAdd(block);
}

int test_charFinder (gocrBlock * b, void *v) {
	gocr_charBegin();
	gocr_charSetAllNearPixels(GOCR_SET, 4, 9, 4);
	gocr_charEnd();

	gocr_charBegin();
	gocr_charSetRect(GOCR_SET, 11, 0, 20, 16);
	gocr_charEnd();


	gocr_charBegin();
	gocr_charSetAllNearPixels(GOCR_SET, 24, 2, 8);
	gocr_charEnd();

	return 0;
}


int test_charRecognizer (gocrBox * b, void *v) {
	static wchar_t c = '1';
	
	gocr_boxCharSet(b, c++, 1.0);
	return 0;
}

void test_contextCorrection (gocrBox * b, void *v) {
	
}

void test_outputFormatter (List *bl, void *v) {
	for_each_data(bl) {
		wchar_t *w = ((gocrBlock *)list_get_current(bl))->text;
		fprintf(stderr, "Text is: ");
		while (*w)
			fprintf(stderr, "%c", *w++);
		fprintf(stderr, "\n", *w++);
	} end_for_each(bl);
}
